How to migrate old custom device handlers to new edge after Groovy end of life?!

Hi everyone,
I’m new to ST and recently added some Aqara sensors and other third party devices using Groovy IDE to my ST. I know Groovy is retiring soon. Aqara and many other sensors are not directly supported on ST, so could someone in simple words explain to me what should I exactly do now to make sure my devices will not stop working after Groovy end of life?
Thanks in advance

You can start by searching the fingerprints for Edge Drivers that are provided by ST by clicking this link

If you do not find them listed. try searching the forum for Edge Drivers that Community Developers might have produced. You can do this with a search of “Edge Aqara sensor type” or “Edge and the brand name you are seeking”. If you are unable to find anything… you can post in the following thread for Community Developer assistance by clicking this Post Requests for Edge Drivers Here (community-created)

and whatever @JDRoberts posts below :slight_smile:

2 Likes

The quickest way to find community-created edge drivers is to check the quick browse lists in the community-created wiki. These are organized by device class. This is usually much faster than searching the forum itself. :sunglasses:

How to Quick Browse the Community-Created SmartApps Forum Section - Things That Are Smart Wiki

3 Likes

Great resource JDR. Thank you, :slightly_smiling_face:

1 Like